import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_list_s_g_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_list_s_g_entity.g.dart';

@JsonSerializable()
class JobListSGEntity {
	int total = 0;
	List<JobListSGRows> rows = [];

	JobListSGEntity();

	factory JobListSGEntity.fromJson(Map<String, dynamic> json) => $JobListSGEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobListSGEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class JobListSGRows {
	String? source = null;
	@JSONField(name: "job_id")
	String? jobId = null;
	@JSONField(name: "job_date")
	String? jobDate = null;
	@JSONField(name: "outlet_name")
	String? outletName = null;
	@JSONField(name: "job_title")
	String? jobTitle = null;
	@JSONField(name: "start_time")
	String? startTime = null;
	@JSONField(name: "end_time")
	String? endTime = null;
	int status = 0;
	@JSONField(name: "status_show")
	String? statusShow = null;
	@JSONField(name: "hiring_num")
	String? hiringNum = null;
	@JSONField(name: "created_at")
	String? createdAt = null;
	@JSONField(name: "action_list")
	List<String> actionList = [];

	JobListSGRows();

	factory JobListSGRows.fromJson(Map<String, dynamic> json) => $JobListSGRowsFromJson(json);

	Map<String, dynamic> toJson() => $JobListSGRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}